package com.goomood.tableConfig.service;

import com.goomood.tableConfig.domain.UserTableConfig;

/**
 *  服务类
 *
 * @author zuoyou
 * @since 2025-03-03
 */
public interface IUserTableConfigService {

    /**
     * 获取用户配置
     * @param config
     * @return
     */
    UserTableConfig getUserTableConfig(UserTableConfig config);

    /**
     * 获取用户配置
     * @param config
     * @return
     */
    void saveUserTableConfig(UserTableConfig config);

    /**
     * 初始化用户配置
     * @param config
     * @return
     */
    void initUserTableConfig(UserTableConfig config);
}
